import { Crew } from '@bringg/types';
import BaseStore from '../../Core/BaseStore';
import Session from '../../Services/Identity/Session';
import { CreateAndUpdateCrew } from '../Crew.consts';
import CrewService from '../Service/CrewService';
export default class CrewStore extends BaseStore<Crew> {
    crewService: CrewService;
    driverCurrentlyAssigned: Map<number, number[]>;
    crewsByTeam: Map<number, Crew[]>;
    constructor(session: Session);
    getCrewPlannedRoute(crewId: number): Promise<import("@bringg/types").PlannedRoute>;
    getAllByTeam(teamId: number): Promise<Crew[]>;
    getById(id: number): Promise<Crew>;
    create(request: CreateAndUpdateCrew): Promise<Crew>;
    update(id: number, crew: CreateAndUpdateCrew): Promise<Crew>;
    delete(id: number): Promise<void>;
    private _fetch;
}
